Loading...
Searching...
No Matches
short_way.c File Reference

GIS Library - Shortest path functions. More...

`#include <grass/gis.h>`
Include dependency graph for short_way.c:

Go to the source code of this file.

## Functions

void | G_shortest_way (double *east1, double *east2)
| Shortest way between two eastings.

## Detailed Description

GIS Library - Shortest path functions.

(C) 2001-2009 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file short_way.c.

## Function Documentation

## G_shortest_way()

void G_shortest_way | ( | double * | east1,
|  | double * | east2 )

Shortest way between two eastings.

For lat-lon projection (PROJECTION_LL), east1, east2 are changed so that they are no more than 180 degrees apart. Their true locations are not changed. For all other projections, this function does nothing.

Parameters

  [in,out] | east1 | east (x) coordinate of first point
  [in,out] | east2 | east (x) coordinate of second point

Definition at line 27 of file short_way.c.

References G_projection().